import { AfterViewInit, OnInit, Renderer2, ElementRef, OnDestroy, OnChanges, SimpleChanges, NgZone, EventEmitter } from '@angular/core';
export declare class NgxMatGroupValidityCheckDirective implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    private elementRef;
    private ngZone;
    private renderer2;
    private mutationObserver;
    private _requiredStarCount;
    private _validationMatErrorCount;
    private _ngPristineClassCount;
    private _ngValidClassCount;
    groupName: string;
    groupValidationStatusChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, ngZone: NgZone, renderer2: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
